opendkim-reprrdimport(8)

NAME
opendkim-reprrdimport - OpenDKIM RRD statistics data import tool

SYNOPSIS
opendkim-reprrdimport [options]

DESCRIPTION
opendkim-reprrdimport collates data accumulated by the OpenDKIM statistics feature and stores them into RRD tables for forecasting analysis. See rrdtool(1) for information about RRD tables.

OPTIONS

--dbhost=host
    Attempts to connect to the database server on the named host. The default is "localhost".

--dbname=name
    Requests a connection to the database called name. The default is "opendkim".

--dbpasswd=password
    Attempts to authenticate to the database server using the specified password. The default is "opendkim".

--dbport=port
    Tries to connect to the database at the specified TCP port. The default is 3306.

--dbuser=user
    Attempts to authenticate to the database server as the specified user. The default is "opendkim".

--domain=name
    Only create/update RRD tables for the named domain. Can be specified multiple times, and name can also refer to a file from which domain names should be read.

--help
    Prints a usage message and exits.

--interval=n
    Retrieves records for the previous n days. The default is 1. A value of 0 retrieves data for all dates.

--levels=n
    Sets the depth of directory hashing levels to be used. The default is 2. n days. The default is 1. A value of 0 retrieves data for all dates.

--null
    Process the "null sender" as well (messages with no valid DKIM signature).

--rrdroot=path
    Defines the root directory for the RRD file hash tree. The default is /var/db/reprrd.

--verbose
    Requests verbose output.

--version
    Prints version number and exits.

VERSION
This man page covers the version of opendkim-reprrdimport that shipped with version 2.10.3 of OpenDKIM.

COPYRIGHT
Copyright (c) 2011, 2012, The Trusted Domain Project. All rights reserved.

SEE ALSO
opendkim(8), opendkim-importstats(8)

RFC6376 - DomainKeys Identified Mail